Evaluators
Start a pending upload
Initiates a new pending upload or retrieves an existing one for the specified evaluator version.
Parametry ścieżki
name
string
wymagane
The name path parameter.
version
string
wymagane
The specific version id of the EvaluatorVersion to operate on.
Parametry zapytań
api-version
string
wymagane
The API version to use for this operation.
Treść żądania
The pending upload request parameters
pendingUploadId
string
If PendingUploadId is not provided, a random GUID will be used.
connectionName
string
Azure Storage Account connection name to use for generating temporary SAS token
pendingUploadType
enum
wymagane
The type of pending upload.
Odpowiedzi
The request has succeeded.
Treść
blobReference
BlobReference
wymagane
Blob reference details.
blobUri
string
wymagane
Blob URI path for client to upload data. Example: https://blob.windows.core.net/Container/Path
storageAccountArmId
string
wymagane
ARM ID of the storage account to use.
credential
SasCredential
wymagane
SAS Credential definition
sasUri
string
wymagane
SAS uri
type
enum
wymagane
Type of credential
pendingUploadId
string
wymagane
ID for this upload request.
version
string
Version of asset to be created if user did not specify version when initially creating upload
pendingUploadType
enum
wymagane
The type of pending upload.
Żądanie
POST /evaluators/{name}/versions/{version}/startPendingUpload HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json